tigase.stats

## Class CounterDataFileLogger

- java.lang.Object
- - tigase.stats.CounterDataFileLogger

- All Implemented Interfaces:
    ConfigurationChangedAware, Initializable, StatisticsArchivizerIfc

      public class CounterDataFileLogger
      extends Object
      implements StatisticsArchivizerIfc, ConfigurationChangedAware, Initializable

  Class responsible for dumping server statistics to a file
  Author:
    wojtek

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CounterDataFileLogger()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `beanConfigurationChanged(Collection<String> changedFields)` Method called when configuration was applied to bean.
    `void` | `execute(StatisticsProvider sp)`
    `long` | `getFrequency()`
    `void` | `initialize()` Method will be called, when bean will be created, configured and ready to use.
    `void` | `release()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CounterDataFileLogger

          public CounterDataFileLogger()

  - ### Method Detail

    - #### execute

          public void execute(StatisticsProvider sp)

      Specified by:
        `execute` in interface `StatisticsArchivizerIfc`

    - #### release

          public void release()

      Specified by:
        `release` in interface `StatisticsArchivizerIfc`

    - #### beanConfigurationChanged

          public void beanConfigurationChanged(Collection<String> changedFields)

      Description copied from interface: `ConfigurationChangedAware`
      Method called when configuration was applied to bean.
      Specified by:
        `beanConfigurationChanged` in interface `ConfigurationChangedAware`
      Parameters:
        `changedFields` - collection of field names which were changed

    - #### getFrequency

          public long getFrequency()

      Specified by:
        `getFrequency` in interface `StatisticsArchivizerIfc`

    - #### initialize

          public void initialize()

      Description copied from interface: `Initializable`
      Method will be called, when bean will be created, configured and ready to use.
      Specified by:
        `initialize` in interface `Initializable`

Copyright © 2004–2020 "Tigase, Inc.". All rights reserved.